JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
juce_ProcessorChain.h File Reference

## Classes
class | juce::dsp::ProcessorChain< Processors >
| This variadically-templated class lets you join together any number of processor classes into a single processor which will call process() on them all in sequence. More...

## Namespaces
namespace | juce
namespace | juce::dsp

## Functions
template<int Index, typename... Processors>
auto & | juce::dsp::get (ProcessorChain< Processors... > &chain) noexcept
| Non-member equivalent of ProcessorChain::get which avoids awkward member template syntax.
template<int Index, typename... Processors>
auto & | juce::dsp::get (const ProcessorChain< Processors... > &chain) noexcept
| Non-member equivalent of ProcessorChain::get which avoids awkward member template syntax.
template<int Index, typename... Processors>
void | juce::dsp::setBypassed (ProcessorChain< Processors... > &chain, bool bypassed) noexcept
| Non-member equivalent of ProcessorChain::setBypassed which avoids awkward member template syntax.
template<int Index, typename... Processors>
bool | juce::dsp::isBypassed (const ProcessorChain< Processors... > &chain) noexcept
| Non-member equivalent of ProcessorChain::isBypassed which avoids awkward member template syntax.